%global         momorel 1

Name:           perl-POE-Component-Client-Keepalive
Version:        0.272
Release:        %{momorel}m%{?dist}
Summary:        Manage connections, with keep-alive
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-Client-Keepalive/
Source0:        http://www.cpan.org/authors/id/R/RC/RCAPUTO/POE-Component-Client-Keepalive-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Net-IP >= 1.25
BuildRequires:  perl-Net-IP-Minimal
BuildRequires:  perl-POE >= 1.299
BuildRequires:  perl-POE-Component-Resolver >= 0.912
Requires:       perl-Net-IP >= 1.25
Requires:       perl-Net-IP-Minimal
Requires:       perl-POE >= 1.299
Requires:       perl-POE-Component-Resolver >= 0.912
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
POE::Component::Client::Keepalive creates and manages connections for other
components. It maintains a cache of kept-alive connections for quick reuse.
It is written specifically for clients that can benefit from kept-alive
connections, such as HTTP clients. Using it for one-shot connections would
probably be silly.

%prep
%setup -q -n POE-Component-Client-Keepalive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/POE/Component/Client/Keepalive.pm
%{perl_vendorlib}/POE/Component/Connection/Keepalive.pm
%{_mandir}/man3/*

%changelog
* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.272-1m)
- update to 0.272

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-8m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-7m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-6m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.271-1m)
- update to 0.271
- rebuild against perl-5.16.0

* Sat Mar 17 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.270-1m)
- update to 0.270

* Sun Mar 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.269-1m)
- update to 0.269

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.268-2m)
- rebuild against perl-5.14.2

* Wed Aug  3 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.268-1m)
- update to 0.268

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.267-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.267-2m)
- rebuild against perl-5.14.0-0.2.1m

* Wed May  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.267-1m)
- update to 0.267

* Sat Apr 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.266-1m)
- update to 0.266

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.265-2m)
- rebuild for new GCC 4.6

* Sun Feb 13 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.265-1m)
- update to 0.265

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.263-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.263-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.263-2m)
- full rebuild for mo7 release

* Fri Jun 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.263-1m)
- update to 0.263
- Specfile re-generated by cpanspec 1.78.

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.262-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.262-4m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.262-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.262-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.262-1m)
- update to 0.262

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.261-1m)
- update to 0.261

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.260-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.260-1m)
- update to 0.260

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-1m)
- update to 0.25

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-1m)
- update to 0.20

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1001-1m)
- update to 0.1001

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1000-2m)
- rebuild against gcc43

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1000-1m)
- update to 0.1000

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0901-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0901-1m)
- spec file was autogenerated
